import { doFetch } from '@/utils/doFetch';
import { Switch } from 'antd';
function getcolumns(setdrawer) {
  return [
    {
      title: '供应商编号',
      dataIndex: 'supplierNo',
      key: 'supplierNo',
      hideInForm: {
        accountName: {
          reverse: ['1', '2', '5'],
        },
        remark: ['3'],
      },
    },
    {
      title: '供应商名称',
      dataIndex: 'supplierName',
      key: 'supplierName',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '电话',
      dataIndex: 'telephone',
      key: 'telephone',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '邮箱',
      dataIndex: 'email',
      key: 'email',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '地址',
      dataIndex: 'address',
      key: 'address',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '评分',
      dataIndex: 'score',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '状态',
      dataIndex: 'status',
      key: 'status',
      valueType: 'radio',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      render: (text, row) => {
        return (
          <Switch
            checkedChildren="启用"
            unCheckedChildren="禁用"
            defaultChecked={row.status == 1}
            onChange={(flag) => {
              // console.log(e);
              if (flag) {
                doFetch({
                  url: '/asset/equipmentSupplier/update/status',
                  params: { id: row.id, status: '1' },
                });
              } else {
                doFetch({
                  url: '/asset/equipmentSupplier/update/status',
                  params: { id: row.id, status: '2' },
                });
              }
            }}
          />
        );
      },
    },
  ];
}

export default getcolumns;
